=== cddl/lib/libumem/Makefile ===
# $FreeBSD: releng/10.1/cddl/lib/libumem/Makefile 204597 2010-03-02 19:04:07Z uqs $

.PATH: ${.CURDIR}/../../../cddl/compat/opensolaris/lib/libumem

LIB=	umem
SRCS=	umem.c
WARNS?=	0
CFLAGS+= -I${.CURDIR}/../../../cddl/compat/opensolaris/lib/libumem

.include <bsd.lib.mk>
