=== debian/changelog ===
zfsutils (10.1~svn272500-1) unstable; urgency=low

  [ Petr Salinger ]
  * New upstream snapshot of 10.1-RC1

  [ Steven Chamberlain ]
  * Add myself to uploaders 

  [ Christoph Egger ]
  * Upload to unstable
  * Force newer kernel headers

 -- Christoph Egger <christoph@debian.org>  Sun, 05 Oct 2014 18:23:36 +0200

zfsutils (10.1~svn271683-2) experimental; urgency=medium

  [ Steven Chamberlain ]
  * bug762199.patch: st_size is only meaningful for regular files;
    existing code did not detect any zpools for import (Closes: #762199)
  * cddl/compat/opensolaris/misc/fsshare.c: don't include missing/unused
    libutil.h;  not needed and caused FTBFS on kfreebsd-i386 only
  * Bump minimum GRUB version to 2.02~beta2-11 for lz4_compress support;
    enabled by default for metadata (but not file contents, yet)
  * Fix display of RAID-Z devices in "zpool status" (Thanks, Jeff Epler!
    Closes: #653929)

 -- Christoph Egger <christoph@debian.org>  Fri, 19 Sep 2014 15:43:47 -0700

zfsutils (10.1~svn271683-1) experimental; urgency=low

  [ Robert Millan ]
  * Library dependency cleanup: Remove gratuitous dependencies, add
    missing dependencies and build libavl as a shared object.
  * Fetch source code securely (https) in get-orig-source.
  * Correctly setup BSD version of MAKEFLAGS to support parallel builds.

  [ Steven Chamberlain ]
  * New upstream snapshot of 10.1-PRERELEASE
    - bump libraries' SONAME to 2
  * Drop patches applied upstream:
    - new upstream has 12_freebsd.diff merged
    - fix_implicit_warnx_declaration.diff
    - zfs_needs_libjail.diff
  * Refresh patches:
    - compat_opensolaris.diff
    - gratuitous_dependencies.diff
    - 14_bootloader_advice.diff
    - solaris_rlim64_t.diff
    - 15_pthread_compat.diff
    - fix_realpath_abuse.diff
    - makefile.diff
  * Build fixes:
    - missing_includes.diff
    - match_glibc_idtype.diff
  * Depend on systemtap-sdt-dev;  it provides an adequate sys/sdt.h
    to build the package although DTrace or SystemTap are unused yet

 -- Christoph Egger <christoph@debian.org>  Wed, 17 Sep 2014 09:50:04 -0700

zfsutils (9.2-4) unstable; urgency=critical

  * Make 14_bootloader_advice.diff more pallatable to upstream.
  * Bump GRUB requirement to 2.00-21 for ZFS v5000 support. (Closes: #730143)

 -- Robert Millan <rmh@debian.org>  Thu, 21 Nov 2013 23:22:43 +0100

zfsutils (9.2-3) unstable; urgency=high

  * Lump cddl/compat/opensolaris patches together into a single patch.
  * Add libzfs_core to zfsutils-udeb.

 -- Robert Millan <rmh@debian.org>  Wed, 20 Nov 2013 14:33:51 +0100

zfsutils (9.2-2) unstable; urgency=low

  * Disable dependency on libjail (by means of MK_JAIL knob, see
    disable_libjail.diff).  (Closes: #725643)

 -- Robert Millan <rmh@debian.org>  Mon, 07 Oct 2013 14:49:03 +0200

zfsutils (9.2-1) unstable; urgency=low

  * New upstream release.
    - Refresh all patches.
    - Update library dependencies.
    - Add new library: libzfs_core.
    - New patches (zfs_needs_libjail.diff, assfail_protection.diff) pending
      merge in upstream.
    - Add libjail-dev to B-D.

  [ Robert Millan ]
  * Build with -Werror=implicit-function-declaration.
    - Requires freebsd-glue >= 0.1.1.
    - fix_implicit_warnx_declaration.diff: Cherry-pick from HEAD.
    - 03_glibc_namespace.diff: Extend solaris_hasmntopt kludge.
  * Remove some unneeded compatibility cruft.

 -- Robert Millan <rmh@debian.org>  Thu, 03 Oct 2013 01:49:26 +0200

zfsutils (9.1-2) unstable; urgency=low

  * Reupload.

 -- Robert Millan <rmh@debian.org>  Mon, 22 Jul 2013 20:14:07 +0200

zfsutils (9.1-1) experimental; urgency=low

  [ Guillem Jover ]
  * Switch to canonical Vcs URLs.

  [ Robert Millan ]
  * New upstream release.
  * control: s/OpenSolaris/illumos/

 -- Robert Millan <rmh@debian.org>  Tue, 16 Jul 2013 13:27:18 +0200

zfsutils (9.0-3) unstable; urgency=low

  * Apply patch supplied by Steven Chamberlain to fix "FTBFS with
    libbsd-dev >= 0.4.0" (Closes: #678136)
  * Update my maintainer address
  * Remove DMUA flag - it's not needed anymore
  * Push standards version without changes

 -- Arno Töll <arno@debian.org>  Fri, 22 Jun 2012 21:28:36 +0200

zfsutils (9.0-2) unstable; urgency=low

  * Remove gratuitous build-dependency on libsbuf-dev (see upstream rev
    226940).
  * Set PATH in weekly scrub crontab.  (Closes: #662140)

 -- Robert Millan <rmh@debian.org>  Mon, 07 May 2012 23:55:36 +0200
